Zoom-lekken maakten uitvoeren van willekeurige code mogelijk

  • 0

Zoom-lekken maakten uitvoeren van willekeurige code mogelijk

Category:blog Tags : 

Twee kritieke kwetsbaarheden in de Zoom-client maakten het mogelijk voor aanvallers om willekeurige code op de systemen van gebruikers uit te voeren, zo ontdekten onderzoekers Zoom-lekkenvan Cisco. Het versturen van een speciaal geprepareerd chatbericht was voldoende om bestanden op het systeem van gebruikers te plaatsen, wat uiteindelijk tot het uitvoeren van willekeurige code had kunnen leiden.

Zoom biedt gebruikers een chatfunctie waarbij gebruikers geanimeerde gif-bestanden kunnen versturen. Hiervoor wordt er gebruikgemaakt van gif-zoekmachine Giphy. Wanneer een

gebruiker een chatbericht ontvangt met de Giphy-extensie, wordt er een http-url bezocht en het betreffende gif-bestand geladen dat de gebruiker krijgt te zien. Zoom bleek de locatie van de opgegeven url niet te controleren. Zo was het mogelijk om in het chatbericht dat naar een gebruiker werd gestuurd de url naar een willekeurige server te laten wijzen, in plaats van de Giphy-server.

Zoom slaat ontvangen afbeeldingen lokaal in de Zoom-directory op om die in de toekomst weer te kunnen geven. Een tweede probleem was dat opgegeven bestandsnamen niet werden gesanitized en er path traversal mogelijk was. Hierdoor had een aanvaller bestanden buiten de Zoom-directory kunnen plaatsen, in elke willekeurige directory waar de gebruiker schrijfrechten toe had.

De ernst van de kwetsbaarheid werd deels beperkt doordat Zoom de bestanden van de extensie .gif voorziet. Volgens de onderzoekers was de inhoud van het bestand echter niet beperkt tot een afbeelding en zou uitvoerbare code of script kunnen bevatten dat bij misbruik van een andere kwetsbaarheid gebruikt zou kunnen worden.

Op een schaal van 1 tot en met 10 wat betreft de ernst van het beveiligingslek werd die met een 8,5 beoordeeld. Zoom werd op 16 april geïnformeerd en liet op 27 mei aan Cisco weten dat het probleem op 21 april was gepatcht. De kwetsbaarheid kreeg de CVE-code CVE-2020-6109 toegekend.

Tweede kwetsbaarheid

Het tweede beveiligingslek (CVE-2020-6110) werd met een score van 8 iets lager ingeschaald dan de eerste kwetsbaarheid. Wederom was het mogelijk om via een speciaal geprepareerd chatbericht en path traversal mogelijk om bestanden op het systeem te plaatsen. In plaats van geanimeerde afbeeldingen ging de Zoom-client nu de fout in bij de optie om broncode te delen. Door het installeren van een extensie is het mogelijk om stukjes broncode met “full syntax highlighting support” met andere Zoom-gebruikers te delen. Gebruikers die de broncode ontvangen hoeven hiervoor geen extensie te installeren.

Zodra een Zoom-gebruiker broncode deelt maakt Zoom hier een zip-bestand, dat bij ontvangende gebruikers automatisch wordt uitgepakt en weergegeven. Onderzoekers van Cisco ontdekten dat de Zoom-client de inhoud van het zip-bestand niet controleert voordat het wordt uitgepakt. Hierdoor was het mogelijk voor aanvallers om uitvoerbare bestanden op de computer van gebruikers te plaatsen.

Tevens was er wederom het probleem van path traversal, wat het voor een aanvaller mogelijk maakte om de bestanden in het zip-bestand buiten de bedoelde directory te plaatsen, hoewel er wel enige beperkingen waren. Met enige interactie van de gebruiker was het echter mogelijk om bestanden in nagenoeg alle willekeurige directories te krijgen. Zoom werd wederom op 16 april ingelicht en maakte op 27 mei bekend dat de kwetsbaarheid op 30 april was verholpen. Zoom-gebruikers krijgen dan ook het advies om naar de meest recente versie van de software te updaten.

 

 

Last Updated on


Over de auteur

svht

Sinds 1995 werkzaam in de IT

Geef een reactie

%d bloggers liken dit: